# $Revision: 1.15 $, $Date: 2010/11/17 07:22:41 $
Summary:	XFree86 Cursor font in Type1 format
Summary(pl.UTF-8):	Font XFree86 Cursor w formacie Type1
Name:		xorg-font-font-xfree86-type1
Version:	1.0.4
Release:	1
License:	MIT
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-xfree86-type1-%{version}.tar.bz2
# Source0-md5:	3eeb3fb44690b477d510bbd8f86cf5aa
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	t1utils
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86 Cursor font in Type1 format.

%description -l pl.UTF-8
Font XFree86 Cursor w formacie Type1.

%prep
%setup -q -n font-xfree86-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# convert *.pfa to .pfb
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
t1binary cursor.pfa cursor.pfb
%{__rm} cursor.pfa
sed -e '1d;s/\.pfa /.pfb /' fonts.scale > fonts.scale.xfree86
%{__rm} fonts.scale fonts.dir

cat > Fontmap.xfree86 <<EOF
/Cursor                                  (cursor.pfb)   ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/Type1/cursor.pfb
%{_fontsdir}/Type1/fonts.scale.xfree86
%{_fontsdir}/Type1/Fontmap.xfree86

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-xfree86-type1.spec,v $
Revision 1.15  2010/11/17 07:22:41  qboosh
- updated to 1.0.4

Revision 1.14  2010/10/07 07:11:49  qboosh
- updated to 1.0.3

Revision 1.13  2009/10/20 05:35:50  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

Revision 1.12  2009/10/12 19:31:46  arekm
- up to 1.0.2

Revision 1.11  2008/03/07 07:13:18  arekm
- up to 1.0.1

Revision 1.10  2007/10/21 14:18:49  megabajt
- BA: noarch
- release 2

Revision 1.9  2007/04/01 19:04:29  qboosh
- informative descs
- create .Fontmap file
- release 1

Revision 1.8  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.6  2006/01/04 12:29:09  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.5  2005/12/06 09:29:02  qboosh
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 15:45:50  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
